Bug 789943 - glance dependency on python-crypto
Summary: glance dependency on python-crypto
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-glance
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Russell Bryant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-13 10:31 UTC by Derek Higgins
Modified: 2012-03-01 01:02 UTC (History)
11 users (show)

Fixed In Version: openstack-glance-2011.3.1-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-22 01:59:30 UTC


Attachments (Terms of Use)
example traceback (3.44 KB, text/plain)
2012-02-13 10:31 UTC, Derek Higgins
no flags Details

Description Derek Higgins 2012-02-13 10:31:09 UTC
Created attachment 561499 [details]
example traceback

Description of problem:
glance services fail to start

Version-Release number of selected component (if applicable):
master branch in the fedpkg repository

How reproducible:
every time


Steps to Reproduce:
1. build openstack-glance 
2. install openstack-glance 
3. start glance services
  
Actual results:
service fails to start
with a traceback in /var/log/messages

Expected results:
service should start

Additional info:
tested on F16

example traceback attached

Comment 1 Fedora Update System 2012-02-13 16:30:36 UTC
openstack-glance-2011.3.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-glance-2011.3.1-3.el6

Comment 2 Fedora Update System 2012-02-13 16:31:50 UTC
openstack-glance-2011.3.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-glance-2011.3.1-3.fc16

Comment 3 Fedora Update System 2012-02-14 09:11:58 UTC
Package openstack-glance-2011.3.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-glance-2011.3.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1643/openstack-glance-2011.3.1-3.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-02-22 01:59:30 UTC
openstack-glance-2011.3.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-03-01 01:02:26 UTC
openstack-glance-2011.3.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.